<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
/********************************************************/
/* NukeSentinel(tm)                                     */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.net                           */
/* Copyright © 2000-2005 by NukeScripts Network         */
/********************************************************/

if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}

$pagetitle = _AB_NUKESENTINEL.": "._AB_CGIAUTHSETUP;
incoh();
title($pagetitle);
Max_OpenTable();
$rp = strtolower(str_replace('index.php', '', realpath('index.php')));
$staccess = str_replace($rp, "", $ab_config['staccess_path']);
echo "<table align='center' border='0' cellpadding='2' cellspacing='2'><tr><td>\n";
echo _AB_SAVEIN." <b>".$ab_config['htaccess_path']." :</b><br /><br />\n";
echo "<b><code># -------------------------------------------<br />\n";
echo "# Start of NukeSentinel(tm) ".$admin_file.".php Auth<br />\n";
echo "# -------------------------------------------<br />\n";
echo "&lt;Files $staccess&gt;<br />\n";
echo "  deny from all<br />\n";
echo "&lt;/Files&gt;<br />\n";
echo "<br />\n";
echo "&lt;Files ".$admin_file.".php&gt;<br />\n";
echo "   &lt;Limit GET POST PUT&gt;<br />\n";
echo "require valid-user<br />\n";
echo "   &lt;/Limit&gt;<br />\n";
echo "   AuthName \"Restricted by NukeSentinel(tm)\"<br />\n";
echo "   AuthType Basic<br />\n";
echo "   AuthUserFile ".$ab_config['staccess_path']."<br />\n";
echo "&lt;/Files&gt;<br />\n";
echo "# -------------------------------------------<br />\n";
echo "# End of NukeSentinel(tm) ".$admin_file.".php Auth<br />\n";
echo "# -------------------------------------------</code></b>\n";
echo "</td></tr></table>\n";
Max_CloseTable();
incof();